
using RemiseANiveau2.Repository;
using RemiseANiveau2.Repository.Contracts;
var builder = WebApplication.CreateBuilder(args);
builder.Services.AddControllersWithViews();
builder.Services.AddScoped<IVersionRepository, VersionRepository>();
var app = builder.Build();
app.UseStaticFiles();
app.UseRouting();
app.MapDefaultControllerRoute();

app.Run();

